'use strict';

const translateman = require('../main/');
const logger = require('../util/logger');
const bugsUrl = require('../../package.json').bugs.url;

function execute(options) {
  try {
    if (!options.files) {
      logger.error('未指定待处理的文件扩展名');
      process.exit(0);
    }

    if (!options.dirs) {
      logger.error('未指定待处理的文件目录');
      process.exit(0);
    }

    translateman.execute(options);
  } catch (error) {
    logger.error(`sorry, an error has occurred. you can report this to: ${bugsUrl}`);
    console.info(error);
    process.exit(1);
  }
}

modele.exports = {
  execute,
};